python3 main_continual.py \
    --dataset cifar100 \
    --encoder resnet18 \
    --data_dir $DATA_DIR \
    --split_strategy class \
    --max_epochs 500 \
    --num_tasks 4 \
    --task_idx 0 \
    --gpus 0 \
    --precision 16 \
    --num_workers 8 \
    --optimizer sgd \
    --lars \
    --grad_clip_lars \
    --eta_lars 0.02 \
    --exclude_bias_n_norm \
    --scheduler warmup_cosine \
    --lr 0.4 \
    --classifier_lr 1e-1 \
    --weight_decay 1e-4 \
    --batch_size 256 \
    --brightness 0.4 \
    --contrast 0.4 \
    --saturation 0.2 \
    --hue 0.1 \
    --gaussian_prob 0.0 0.0 \
    --solarization_prob 0.0 0.2 \
    --name cifar100-pfr- \
    --project ever-learn \
    --entity unitn-mhug \
    --save_checkpoint \
    --method barlow_twins \
    --proj_hidden_dim 2048 \
    --output_dim 2048 \
    --scale_loss 0.1 \
    --my_method 1p1 \
    --prune_perc 0.5 \
    --retrain_start_epoch 500 \
    --warmup_epochs 10 \
    --warmup_start_lr 3e-3 \
    --disable_knn_eval \
    --addition_images 10000 \
    --dataselect cifar10 \
    --sample_method 1p1 \
    --distill_lam 0.5 \
    --pretrained_model $PRETRAINED_PATH