python3 main_linear.py \
    --dataset cifar100 \
    --encoder resnet18 \
    --data_dir $DATA_DIR \
    --train_dir cifar100/train \
    --val_dir cifar100/val \
    --split_strategy class \
    --num_tasks 4 \
    --max_epochs 100 \
    --gpus 0 \
    --precision 16 \
    --optimizer sgd \
    --scheduler step \
    --lr 0.01 \
    --lr_decay_steps 60 80 \
    --weight_decay 0 \
    --batch_size 256 \
    --num_workers 8 \
    --name barlow-cifar-5T-linear-eval \
    --pretrained_feature_extractor $PRETRAINED_PATH \
    --project ever-learn \
    --entity unitn-mhug \
    --save_checkpoint
    # --wandb \
    # --offline \
